Leap0

Tree

Get a hierarchical directory tree.

POST
/v1/sandbox/{sandboxID}/filesystem/tree

Get a hierarchical directory tree.

Authorization

BearerAuth
AuthorizationBearer <token>

API key passed as a Bearer token in the Authorization header. Alternatively, use the leap0-authorization header.

In: header

Path Parameters

sandboxID*string

Unique sandbox identifier.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

path*string

Root directory path for the tree.

exclude?array<string>

Glob patterns to exclude (e.g. node_modules, .git).

max_depth?integer

Maximum depth to traverse.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.leap0.dev/v1/sandbox/string/filesystem/tree" \  -H "Content-Type: application/json" \  -d '{    "path": "string"  }'
{  "items": [    {      "name": "string",      "type": "file",      "children": [        {          "name": "string",          "type": "file",          "children": []        }      ]    }  ]}
{  "message": "string",  "errors": [    {      "field": "string",      "error": "string"    }  ]}
{  "message": "string"}
{  "message": "string"}